# $Revision: 1.5 $, $Date: 2004/05/06 18:43:07 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	Skipjack
Summary:	Crypt::Skipjack - Crypt::CBC-compliant block cipher
Summary(pl):	Crypt::Skipjack - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Skipjack
Version:	1.0.2
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	46196172e7020917f8249f36f8b55c21
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Skipjack is the secret key encryption algorithm designed by the
National Security Agency, and is used in the Clipper chip and Fortezza
PC card. It was implemented in tamper-resistant hardware and its
structure had been classified since its introduction in 1993. Skipjack
was unclassified on June 24, 1998. Skipjack is an 80-bit key, 64-bit
block cipher. This module supports the Crypt::CBC interface.

%description -l pl
Skipjack to algorytm szyfrowania klucza tajnego opracowany przez NSA
(National Security Agency), uywany w ukadzie Clipper i kartach PC
Fortezza. By zaimplementowany w zabezpieczonym przed intruzami
sprzcie, a jego struktura bya zastrzeona od wprowadzenia w 1993
roku do 24 czerwca 1998. Skipjack to 64-bitowy szyfr blokowy z
80-bitowym kluczem. Ten modu obsuguje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Skipjack.pm
%dir %{perl_vendorarch}/auto/Crypt/Skipjack
%{perl_vendorarch}/auto/Crypt/Skipjack/Skipjack.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Skipjack/Skipjack.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Skipjack.spec,v $
Revision 1.5  2004/05/06 18:43:07  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.3  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.2  2003/09/15 08:18:04  adamg
- updated to 1.0.2

Revision 1.1  2003/06/17 22:22:49  qboosh
- new

